---
title: GitLab Certified DevOps Professional
suppress_header: true
description: "GitLab Certified DevOps Professional"
extra_css:
  - services.css
---

.wrapper
  .simple-header
    %h1
      GitLab Certified DevOps Professional
    %h2.headline-subtitle
      Validate and showcase your GitLab skills

.services-inner
  .page-container.container
    %ol.breadcrumb
      %li
      = breadcrumbs(current_page)
    .row
      .col-md-10.col-md-offset-1.tile
        %h2 GitLab Certified DevOps Professional

        %h3 Interested in getting certified?
        %p GitLab offers two class options to prepare for certification, although neither is required in order to take the exam:
        %ol
          %li Instructor-led: Fill out the form below or contact your GitLab sales representative to schedule an instructor-led delivery of GitLab DevOps Fundamentals for your team.
          %li Self-service: You can enroll in our <a href="/services/education/gitlab-technical-certification-self-paced/">self-paced option</a> to complete your certification in GitLab Level Up.

        %h3 Overview
        %p GitLab Certified DevOps Professional is a <a href= '/learn/certifications/public/#technical-certifications-overview'> technical certification</a> offered by <a href= '/services/'>GitLab Professional Services</a> to help the GitLab community and team members validate their ability to apply essential GitLab capabilities across a broad range of DevOps stages and functions. To earn certification, candidates must have successfully achieved the following GitLab Certifications: GitLab Certified Git Associate, GitLab Certified CI/CD Associate, GitLab Certified Project Management Associate, and GitLab Certified Security Specialist.

        If you have completed the four certifications mentioned above and would like to apply for GitLab Certified DevOps Professional Certification, please fill out <a href= 'https://forms.gle/ws3AEqcBPjQdFC4MA'>this application form.</a>

        %h3 Availability
        %p The four exams that must be passed in order to earn a GitLab Certified DevOps Professional certification are available for anyone to purchase and take, regardless of whether they have participated in instructor-led GitLab training, self-service GitLab training, or neither.

        %h3 Why GitLab Certified DevOps Professional certification?
        %h4 For employers
        %p With GitLab Certified DevOps Professional certification, team managers now have a way to confirm their team members possess the skills needed to enable and use GitLab DevOps throughout the organization, resulting in faster and more secure code releases. All team members who achieve the certification will be able to apply GitLab DevOps functionality and best practices for better collaboration, more automation, and less complexity.

        %h4 For individuals
        %p Individuals who earn GitLab Certified DevOps Professional certification can showcase their ability to enable and use the fundamental DevOps capabilities of GitLab, from CI/CD to project management and security. These skill sets ensure certified individuals can make a significant impact by helping their organizations use GitLab to increase operational efficiency, accelerate delivery, and release innovate software products.

        %h3 Exam objectives
        %p Individuals who earn GitLab Certified DevOps Professional certification are able to perform the following tasks.
        %ul
          %li Explain what GitLab is and why teams use it
          %li Perform basic Git commands for branching and merging locally and remotely
          %li Apply fundamental concepts and skills using GitLab within the DevOps lifecycle
          %li Explain what GitLab CI/CD is and why teams use it
          %li Identify the key components needed for a CI/CD pipeline
          %li Explain GitLabs’s CI/CD functions
          %li Verify a new feature
          %li Scope and persist variables at various levels
          %li Scaffold out the basics of a test, build, review, and deploy pipeline using feature/topic branching as the review mechanism
          %li Apply the GitLab release and deployment workflow
          %li Use artifacts and dependency caching
          %li Build and deploy images to the GitLab registry
          %li Set up projects by creating issues, labels, milestones, and groups
          %li Manage projects using GitLab boards, epics, and roadmaps
          %li Use GitLab to develop portfolio plans
          %li Describe the security features available in GitLab
          %li Determine teams and/or team members that should give merge request security approvals
          %li Enable and configure scanning tool, including enabling and disabling options
          %li Enable and configure merge request security approvals
          %li View and utilize the Security Dashboard for a given group and project
          %li Download scanning results as evidence for compliance
          %li Configure defensive mechanisms
          %li Test performance and inspect logs

= partial "includes/services-contact-form"



